linux-packaging-snippets (47+git20260822223843.0068e5e.next.production) trixie; urgency=medium

  * [kernel-snippet] Only build init_boot with header version >= 4

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 23 Aug 2026 00:38:43 +0200

linux-packaging-snippets (46) next; urgency=medium

  * [linux-packaging-snippets] Set default value for KERNEL_BOOTIMAGE_GENERATE_VENDOR_BOOT

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 22 Aug 2026 18:16:10 +0200

linux-packaging-snippets (45) next; urgency=medium

  * [kernel-packaging-snippets] Use empty ramdisk only if CONFIG_INITRAMFS_SOURCE has non-empty value

 -- Alexander Rutz <alex@familyrutz.com>  Mon, 13 Jul 2026 10:03:29 -0600

linux-packaging-snippets (44) next; urgency=medium

  [ Erik Inkinen ]
  * Merge pull request #9 from faveoled/patch-1
  * Merge branch 'feature/next/empty-initramfs' into droidian

  [ faveoled ]
  * Fix typo

 -- Erik Inkinen <erik.inkinen@erikinkinen.fi>  Tue, 30 Jun 2026 17:28:11 +0300

linux-packaging-snippets (43) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #8 from berbascum/feature/host-arch-detection

  [ berbascum ]
  * [linux-packaging-snippets] arch: introduce host arch autodetection

 -- Eugenio Paolantonio <me@medesimo.eu>  Mon, 13 Oct 2025 00:09:29 +0200

linux-packaging-snippets (42) next; urgency=medium

  * [linux-packaging-snippets] control.in: force compact changelogs

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 27 Jun 2025 22:58:59 +0200

linux-packaging-snippets (41) next; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: install modules in the build directory first
  * [linux-packaging-snippets] Allow specifying bootimage partition size
  * [linux-packaging-snippets] Allow creating vendor_boot images

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 07 Apr 2025 21:42:41 +0200

linux-packaging-snippets (40) next; urgency=medium

  * [linux-packaging-snippets] Specify debhelper compat among the build-depends

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 22 Mar 2025 16:28:10 +0100

linux-packaging-snippets (39) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #6 from ArchieMeng/droidian

  [ Archie Meng ]
  * [linux-packaging-snippets] control.in: Restrict android-platform-prebuilts-python-linux-x86-2.7.5 to amd64 only

 -- Eugenio Paolantonio <me@medesimo.eu>  Thu, 02 Jan 2025 00:14:17 +0100

linux-packaging-snippets (38) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #5 from droidian-berb/sid

  [ berbascum ]
  * [linux-packaging-snippets] kernel-snippet: add EXTRA_FRAGMENTS support
  * [linux-packaging-snippets] kernel-info: CLANG_VERSION and CLANG_CUSTOM

  [ Alexander Rutz ]
  * [kernel-packaging-snippets] Empty initramfs in boot image
  * [kernel-packaging-snippets] Built init_boot image

 -- Eugenio Paolantonio <me@medesimo.eu>  Fri, 30 Aug 2024 00:39:20 +0200

linux-packaging-snippets (37) next; urgency=medium

  * [linux-packaging-snippets] control.in: drop Uploaders

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 30 Jul 2024 22:59:09 +0200

linux-packaging-snippets (36) next; urgency=medium

  * [linux-packaging-snippets] Ensure $(DEVICE_MODEL).config exists when using fragments. Fixes #4

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 11 Jun 2024 21:50:09 +0200

linux-packaging-snippets (35) next; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: fix kernel target for kernel-stamp.default

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 09 Jun 2024 13:44:48 +0200

linux-packaging-snippets (34) next; urgency=medium

  * [linux-packaging-snippets] Allow skipping modules packaging

 -- Alexander Rutz <alex@familyrutz.com>  Sat, 25 May 2024 11:44:36 -0600

linux-packaging-snippets (33) trixie; urgency=medium

  * [linux-package-snippets] Move image, recovery creation to a single target
  * [linux-packaging-snippets] kernel-snippet: require path-override-prepare on standard .config builds
  * [kernel-packaging-snippets] Do not let merge_config.sh call make by itself when merging fragments
  * [linux-packaging-snippet] Allow building different kernel Image targets
  * [linux-packaging-snippets] kernel-snippet: rename %.img to boot-%.img

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 15 Jan 2024 01:14:43 +0100

linux-packaging-snippets (32) trixie; urgency=medium

  * kernel-snippet: add support for using lz4 ramdisk

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 30 Dec 2023 12:04:21 -0500

linux-packaging-snippets (31) trixie; urgency=medium

  * kernel-snippets: add python2 symlinks
  * kernel-info: add a notice about build triplet on gki

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 22 Dec 2023 16:00:32 -0500

linux-packaging-snippets (30) trixie; urgency=medium

  [ Bardia Moshiri ]
  * linux-packaging-snippets: initial adaptation for gki
  * Merge pull request #3 from Bettehem/droidian

  [ Bettehem ]
  * linux-packaging-snippets: add support for flashing via telnet

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 21 Dec 2023 16:55:19 -0500

linux-packaging-snippets (29) trixie; urgency=medium

  * [skip ci] drop all leftovers of hybris-mobian
  * [linux-packaging-snippets]: add support boot image os version
  * [linux-packaging-snippets]: add support for building with llvm lld
  * flash-bootimage-template: add an option for flash_all scripts to read if flash is capitalized

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 25 Nov 2023 17:42:24 -0500

linux-packaging-snippets (28) trixie; urgency=medium

  [ Bardia Moshiri ]
  * control: point to the correct organization for devices instead of droidian itself

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 03 Oct 2023 20:13:42 -0400

linux-packaging-snippets (27) bookworm; urgency=medium

  * add support for exynos capitalized partition names

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 20 Jun 2023 14:47:43 -0400

linux-packaging-snippets (26) bookworm; urgency=medium

  * add --dt support for exynos devices

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 20 Jun 2023 08:33:00 -0400

linux-packaging-snippets (25) bookworm; urgency=medium

  * [linux-packaging-snippets] Move package content installation to its own target

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 31 Mar 2023 15:33:15 +0200

linux-packaging-snippets (24) bookworm; urgency=medium

  * [linux-packaging-snippets] Specify XS-Droidian-{Host-Arch,Build-On} control extensions

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Feb 2023 17:53:05 +0100

linux-packaging-snippets (23) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [linux-packaging-snippets] Move to android-platform-prebuilts-python-linux-x86-2.7.5

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Feb 2023 17:28:53 +0100

linux-packaging-snippets (22) bookworm; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #1 from notsyncing/bookworm

  [ notsyncing ]
  * [linux-packaging-snippets] Add boot image security patch level support

 -- Eugenio Paolantonio <me@medesimo.eu>  Thu, 08 Sep 2022 14:13:20 +0200

linux-packaging-snippets (21) bookworm; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: allow using configuration fragments

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 13 Jul 2022 01:08:04 +0200

linux-packaging-snippets (20) bookworm; urgency=medium

  * [linux-packaging-snippets] Disable Debian tests

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 14 Jun 2022 22:36:57 +0200

linux-packaging-snippets (19) bookworm; urgency=medium

  * [linux-packaging-snippets] Fix initramfs repacking

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 07 Jun 2022 18:58:03 +0200

linux-packaging-snippets (18) bookworm; urgency=medium

  * [linux-packaging-snippets] Copy the standard initramfs overlay on recoveries as well

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 07 Jun 2022 18:41:24 +0200

linux-packaging-snippets (15) bookworm; urgency=medium

  * [linux-packaging-snippets] Allow adding an overlay to the ramdisk
  * [linux-packaging-snippets] Build and ship recovery images

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Jun 2022 16:24:56 +0200

linux-packaging-snippets (12) bookworm; urgency=medium

  * [linux-packaging-snippets] Allow specifying fastboot device ids

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 May 2022 14:42:37 +0200

linux-packaging-snippets (11) bookworm; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: ensure headers are extracted from KERNEL_SOURCES

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 22 Feb 2022 00:36:22 +0100

linux-packaging-snippets (10) bookworm; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: do not fail if python path override already exists
  * [linux-packaging-snippets] kernel-snippet: allow kernel sources outside the root directory

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 20 Feb 2022 16:51:25 +0100

linux-packaging-snippets (10) bullseye; urgency=medium

  * [linux-packaging-snippets] Initial support for Android boot images version 2

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 21 Nov 2021 15:41:05 +0100

linux-packaging-snippets (9) bullseye; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: allow specifying more than one DTBs to append

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 24 Jul 2021 17:23:45 +0200

linux-packaging-snippets (8) bullseye; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: assume bootimage version is 0 if not specified

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 14 Jul 2021 19:31:02 +0200

linux-packaging-snippets (7) bullseye; urgency=medium

  * [linux-packaging-snippets] Support specifying the kernel bootimage header version

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 11 Jul 2021 16:08:20 +0200

linux-packaging-snippets (6) bullseye; urgency=medium

  * [linux-packaging-snippets] Allow flashing aonly devices

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 18 Apr 2021 17:45:46 +0200

linux-packaging-snippets (5) bullseye; urgency=medium

  * [ci] Updated to match new name [CI SKIP]
  * [linux-package-snippets] hybris-mobian -> Droidian
  * [linux-packaging-snippet] kernel-snippet: fix comparisons on POSIX sh
  * [linux-packaging-snippets] Allow creating and shipping an empty vbmeta image

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 06 Apr 2021 23:36:52 +0200

linux-packaging-snippets (4) bullseye; urgency=medium

  * [linux-packaging-snippets] kernel-snippet: disable DTBO partition flashing if overlay has been disabled (or bundled inside the final boot.img)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 20 Dec 2020 00:55:27 +0100

linux-packaging-snippets (3) bullseye; urgency=medium

  * [linux-packaging-snippets] Divide the snippet in sections
  * [linux-packaging-snippets] Allow enabling kernel flashing via flash-bootimage
  * [linux-packaging-snippets] kernel-snippet: pass CROSS_COMPILE_ARM32 too
  * [linux-packaging-snippets] kernel-snippet: invoke dh_clean when cleaning

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 19 Dec 2020 23:31:15 +0100

linux-packaging-snippets (2) bullseye; urgency=medium

  * Initial commit
  * [linux-packaging-snippets] Do not append DTB overlay by default, create dtbo.img instead and ship it
  * [linux-packaging-snippets] Find built dtb/dtbo files if KERNEL_IMAGE_DTB{,_OVERLAY} haven't been specified

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 13 Dec 2020 23:24:21 +0100

